%global debug_package %{nil}

Name: python-asynctest
Epoch: 100
Version: 0.13.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Enhance unittest package with testing asyncio libraries
License: Apache-2.0
URL: https://github.com/Martiusweb/asynctest/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Click is a Python package for creating command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit". It is configurable, and comes with defaults out
of the box.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-asynctest
Summary: Enhance unittest package with testing asyncio libraries
Requires: python3
Provides: python3-asynctest = %{epoch}:%{version}-%{release}
Provides: python3dist(asynctest) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-asynctest = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(asynctest) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-asynctest = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(asynctest) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-asynctest
The package asynctest is built on top of the standard unittest module
and cuts down boilerplate code when testing libraries for asyncio.

%files -n python%{python3_version_nodots}-asynctest
%license LICENSE.md
%{python3_sitelib}/asynctest*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-asynctest
Summary: Enhance unittest package with testing asyncio libraries
Requires: python3
Provides: python3-asynctest = %{epoch}:%{version}-%{release}
Provides: python3dist(asynctest) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-asynctest = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(asynctest) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-asynctest = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(asynctest) = %{epoch}:%{version}-%{release}

%description -n python3-asynctest
The package asynctest is built on top of the standard unittest module
and cuts down boilerplate code when testing libraries for asyncio.

%files -n python3-asynctest
%license LICENSE.md
%{python3_sitelib}/asynctest*
%endif

%changelog
